import { HttpClient } from '@angular/common/http';
import { ServerConfigService } from './server-config.service';
import * as i0 from "@angular/core";
export declare class DatapageService {
    private http;
    private scService;
    constructor(http: HttpClient, scService: ServerConfigService);
    dataPageUrl: string;
    getDataPage(id: any, dpParams: any): import("rxjs").Observable<import("@angular/common/http").HttpResponse<Object>>;
    getResults(response: any): any;
    getDataPageData(dataPageName: any, parameters: any, context: any): Promise<unknown>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatapageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DatapageService>;
}
